org.apache.commons.jelly.tags.fmt

## Class MessageTag

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.tags.fmt.MessageTag

All Implemented Interfaces:
  Tag

    public class MessageTag
    extends TagSupport

Support for tag handlers for <message>, the lookup up localized message tag in JSTL.

Version:
  1.1
Author:
  Willie Vu

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`MessageTag()` Creates a new instance of MessageTag

### Method Summary

Methods
`void` `addParam(java.lang.Object arg)` Adds an argument (for parametric replacement) to this tag's message.
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`void` `setBundle(Expression bundle)` Setter for property bundle.
`void` `setKey(Expression key)` Setter for property key.
`void` `setScope(java.lang.String scope)` Setter for property scope.
`void` `setVar(java.lang.String var)` Setter for property var.

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MessageTag

    public MessageTag()

Creates a new instance of MessageTag

### Method Detail

#### addParam

    public void addParam(java.lang.Object arg)

Adds an argument (for parametric replacement) to this tag's message.

#### doTag

    public void doTag(XMLOutput output)
               throws JellyTagException

Description copied from interface: `Tag`
Evaluates this tag after all the tags properties have been initialized.

Throws:
  `JellyTagException`

#### setKey

    public void setKey(Expression key)

Setter for property key.

Parameters:
  `key` - New value of property key.

#### setBundle

    public void setBundle(Expression bundle)

Setter for property bundle.

Parameters:
  `bundle` - New value of property bundle.

#### setVar

    public void setVar(java.lang.String var)

Setter for property var.

Parameters:
  `var` - New value of property var.

#### setScope

    public void setScope(java.lang.String scope)

Setter for property scope.

Parameters:
  `scope` - New value of property scope.